package com.ynet.life.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.life.base.LifeDBAccess;
import com.ynet.life.exception.TranFailException;
import com.ynet.life.util.LoafMacUtil;
import com.ynet.life.util.MacUtil;
import java.sql.Connection;
import java.util.List;

/* loaded from: com_ynet_life_action.jar:com/ynet/life/action/CheckMacLoafAction.class */
public class CheckMacLoafAction extends LifeJDBCAction {
    private String businessCodeField;

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r0v23, types: [java.lang.Throwable, com.ynet.life.exception.TranFailException] */
    /* JADX WARN: Type inference failed for: r0v5, types: [boolean] */
    /* JADX WARN: Type inference failed for: r0v8, types: [java.lang.Exception] */
    public String execute(Context context) throws GENEException {
        Connection connection = null;
        if (this.businessCodeField != null) {
            ?? equals = "".equals(this.businessCodeField);
            try {
                if (equals == 0) {
                    try {
                        connection = LifeDBAccess.getConnection(context);
                        List paramList = LoafMacUtil.getMacColumnList(this.businessCodeField, context, connection, "1");
                        String oldMac = (String) paramList.get(paramList.size() - 1);
                        paramList.remove(paramList.size() - 1);
                        String resultMac = MacUtil.makeMac(paramList);
                        if (!oldMac.equals(resultMac)) {
                            equals = new TranFailException("EBLN0000", "摘要码不匹配");
                            throw equals;
                        }
                        LifeDBAccess.releaseConnection(connection);
                        return "0";
                    } catch (Exception e) {
                        equals.printStackTrace();
                        throw new TranFailException(e);
                    }
                }
            } catch (Throwable th) {
                LifeDBAccess.releaseConnection(connection);
                throw th;
            }
        }
        throw new TranFailException("EBLN0000", "没有配置摘要ID");
    }

    public String getBusinessCodeField() {
        return this.businessCodeField;
    }

    public void setBusinessCodeField(String businessCodeField) {
        this.businessCodeField = businessCodeField;
    }
}
